%global momorel 3
%global realname gtk-sharp
Summary: .NET language binding for the GTK+ toolkit
Name: gtk-sharp2
Version: 2.12.10
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPLv2+
URL: http://www.mono-project.com/
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{realname}/2.12/%{realname}-%{version}.tar.bz2
NoSource: 0
Patch0: gtk-sharp-2.12.7-gacutil.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: gtk2-devel >= 2.16.2
BuildRequires: mono-devel >= 2.4
BuildRequires: glib2-devel >= 2.20.3
BuildRequires: pango-devel >= 1.23.0
BuildRequires: atk-devel >= 1.25.2
BuildRequires: libglade2-devel >= 2.6.3
Requires: mono-core
Requires: gtk2

Provides: %{realname}
Obsoletes: %{realname}

%description
Gtk# is a .NET language binding for the GTK+ toolkit and assorted GNOME
libraries.  Gtk# is free software, licensed under the GNU LGPL.  The target
is the 2.6 platform.

%package atk
Summary: %{name}-atk
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
%description atk
%{name}-atk

%package libglade2
Summary: %{name}-libglade2
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
%description libglade2
%{name}-libglade2

%package glib2
Summary: %{name}-glib2
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
%description glib2
%{name}-glib2

%package pango
Summary: %{name}-pango
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
%description pango
%{name}-pango

%package devel
Summary: .NET language binding for the GTK+ toolkit (devel)
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtk2-devel
Requires: mono-devel
Requires: pango-devel
Requires: libglade2-devel

Provides: %{realname}-devel
Obsoletes: %{realname}-devel

%description devel
gtk-sharp devel

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1 -b .gacutil

%build
autoreconf -vi
%configure --program-prefix="" --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README README.generator
%{_bindir}/gapi2-*
%{_prefix}/lib/gtk-sharp-2.0/*.exe
%exclude %{_libdir}/*.la
%dir %{_prefix}/lib/gtk-sharp-2.0
%{_prefix}/lib/gtk-sharp-2.0/gapi2xml.pl
%{_prefix}/lib/gtk-sharp-2.0/gapi_pp.pl

%{_libdir}/libgdksharpglue-2.so
%dir %{_prefix}/lib/mono/gtk-sharp-2.0
%{_prefix}/lib/mono/gtk-sharp-2.0/gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gdk-sharp.dll
%{_prefix}/lib/mono/gac/gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gdk-sharp

%{_libdir}/libgtksharpglue-2.so
%{_prefix}/lib/mono/gtk-sharp-2.0/gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gtk-dotnet.dll
%{_prefix}/lib/mono/gac/gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.*.gtk-dotnet

%{_prefix}/lib/mono/gtk-sharp-2.0/gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.gtk-sharp.dll
%{_prefix}/lib/mono/gac/gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.*.gtk-sharp

%files atk
%defattr(-,root,root)
%{_libdir}/libatksharpglue-2.so
%{_prefix}/lib/mono/gtk-sharp-2.0/atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.atk-sharp.dll
%{_prefix}/lib/mono/gac/atk-sharp
%{_prefix}/lib/mono/gac/policy.2.*.atk-sharp

%files libglade2
%defattr(-,root,root)
%{_libdir}/libgladesharpglue-2.so
%{_prefix}/lib/mono/gtk-sharp-2.0/glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.glade-sharp.dll
%{_prefix}/lib/mono/gac/glade-sharp
%{_prefix}/lib/mono/gac/policy.2.*.glade-sharp

%files glib2
%defattr(-,root,root)
%{_libdir}/libglibsharpglue-2.so
%{_prefix}/lib/mono/gtk-sharp-2.0/glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.glib-sharp.dll
%{_prefix}/lib/mono/gac/glib-sharp
%{_prefix}/lib/mono/gac/policy.2.*.glib-sharp

%files pango
%defattr(-,root,root)
%{_libdir}/libpangosharpglue-2.so
%{_prefix}/lib/mono/gtk-sharp-2.0/pango-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.*.pango-sharp.dll
%{_prefix}/lib/mono/gac/pango-sharp
%{_prefix}/lib/mono/gac/policy.2.*.pango-sharp


%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/gapi-2.0.pc
%{_libdir}/pkgconfig/glade-sharp-2.0.pc
%{_libdir}/pkgconfig/glib-sharp-2.0.pc
%{_libdir}/pkgconfig/gtk-dotnet-2.0.pc
%{_libdir}/pkgconfig/gtk-sharp-2.0.pc

%{_datadir}/gapi-2.0/atk-api.xml
%{_datadir}/gapi-2.0/gdk-api.xml
%{_datadir}/gapi-2.0/glade-api.xml
%{_datadir}/gapi-2.0/glib-api.xml
%{_datadir}/gapi-2.0/gtk-api.xml
%{_datadir}/gapi-2.0/pango-api.xml

%{_prefix}/lib/monodoc/sources/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.12.10-3m)
- full rebuild for mo7 release

* Sun May  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.10-2m)
- add %%dir

* Wed Apr 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.10-1m)
- update to 2.12.10

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.12.9-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.9-3m)
- fix build on x86_64

* Thu Oct 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.9-2m)
- split package

* Sun May 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.9-1m)
- update to 2.12.9

* Sat Feb  7 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.8-1m)
- update to 2.12.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.12.7-3m)
- rebuild against rpm-4.6

* Tue Dec 30 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.12.7-2m)
- update Patch0 for fuzz=0
- License: LGPLv2+

* Sat Dec 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.7-1m)
- update to 2.12.7

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.6-3m)
- modify patch0

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.6-2m)
- add patch0 for gacutil

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.6-1m)
- update to 2.12.6

* Thu Oct 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.5-1m)
- update to 2.12.5

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.4-1m)
- update to 2.12.4

* Tue Sep 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.2-1m)
- update to 2.12.2

* Wed Apr 23 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.12.0-2m)
- rebuild against gcc43

* Wed Mar  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- update to 2.12.0

* Sat Mar  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.4-1m)
- update to 2.10.4

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.3-1m)
- update to 2.10.3

* Mon Sep 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.2-1m)
- update to 2.10.2
- Change Source URL

* Fri Jul  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10.1-2m)
- import patch from Debian to fix gmime build problem

* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.0-4m)
- fix Provides and Obsoletes for upgrading from STABLE_3

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-3m)
- rename gtk-sharp -> gtk-sharp2

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-2m)
- delete patch0 (gtk+ version up)

* Tue Aug 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-1m)
- update to 2.10.0
-- split devel package

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.3-2m)
- rebuild against gnome
- delete libtool library

* Mon Aug 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.3-1m)
- update to 2.8.3

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.2-3m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.2-2m)
- rebuild mono -> mono-core

* Thu Apr 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.2-1m)
- update to 2.8.2

* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.8.0-3m)
- add patch3 because of hard-coding path in some sources.

* Wed Feb 01 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.8.0-2m)
- add and revised patches for x86_64:
-         monodoc-2.8.0-config.patch
-         monodoc-2.8.0-pc.patch
-         monodoc-2.8.0-lib64.patch
- change from "%make" to "make". because of building fail on SMP env.

* Sun Jan 29 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.0-1m)
- start.
